/**
 * @file assert_lsb4.h
 * @brief Laboratorio 4 - Sistemas Embebidos - Fing
 * Assert file
 *
 * @author Leonardo Martínez <leonardo.martinez.hornak@fing.edu.uy>, Isabel Morales <imorales@fing.edu.uy>
 * @version 1.0
 * @date 1/4/2021
 */

#ifndef INCLUDE_ASSERT_LAB4_H_
#define INCLUDE_ASSERT_LAB4_H_

#include <msp.h>
#include "user_interface.h"
#include "common.h"

#ifdef DEBUG

#define ASSERT(expr) { if ((expr)) { turnOnDebugLED(); while (1) {};}}

#else
#define ASSERT(expr)
#endif

#endif /* INCLUDE_ASSERT_LAB4_H_ */
